#ifndef QNLMAINDLG_H
#define QNLMAINDLG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QGroupBox>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QListWidget>
#include <QtGui/QPushButton>
#include <QtGui/QRadioButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>

class Ui_qnlMain
{
public:
    QVBoxLayout *vboxLayout;
    QHBoxLayout *hboxLayout;
    QListWidget *listFilename;
    QVBoxLayout *vboxLayout1;
    QHBoxLayout *hboxLayout1;
    QVBoxLayout *vboxLayout2;
    QPushButton *refButton;
    QPushButton *delButton;
    QSpacerItem *spacerItem;
    QGroupBox *groupBox;
    QVBoxLayout *vboxLayout3;
    QRadioButton *radioNetlist;
    QRadioButton *radioPartslist;
    QHBoxLayout *hboxLayout2;
    QLabel *label;
    QLineEdit *lineEditOutput;
    QHBoxLayout *hboxLayout3;
    QSpacerItem *spacerItem1;
    QPushButton *aboutButton;
    QPushButton *executeButton;
    QPushButton *quitButton;

    void setupUi(QDialog *qnlMain)
    {
    qnlMain->setObjectName(QString::fromUtf8("qnlMain"));
    qnlMain->resize(QSize(420, 271).expandedTo(qnlMain->minimumSizeHint()));
    vboxLayout = new QVBoxLayout(qnlMain);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(9);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    listFilename = new QListWidget(qnlMain);
    listFilename->setObjectName(QString::fromUtf8("listFilename"));

    hboxLayout->addWidget(listFilename);

    vboxLayout1 = new QVBoxLayout();
    vboxLayout1->setSpacing(6);
    vboxLayout1->setMargin(0);
    vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
    hboxLayout1 = new QHBoxLayout();
    hboxLayout1->setSpacing(6);
    hboxLayout1->setMargin(0);
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    vboxLayout2 = new QVBoxLayout();
    vboxLayout2->setSpacing(6);
    vboxLayout2->setMargin(0);
    vboxLayout2->setObjectName(QString::fromUtf8("vboxLayout2"));
    refButton = new QPushButton(qnlMain);
    refButton->setObjectName(QString::fromUtf8("refButton"));

    vboxLayout2->addWidget(refButton);

    delButton = new QPushButton(qnlMain);
    delButton->setObjectName(QString::fromUtf8("delButton"));

    vboxLayout2->addWidget(delButton);


    hboxLayout1->addLayout(vboxLayout2);


    vboxLayout1->addLayout(hboxLayout1);

    spacerItem = new QSpacerItem(20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding);

    vboxLayout1->addItem(spacerItem);

    groupBox = new QGroupBox(qnlMain);
    groupBox->setObjectName(QString::fromUtf8("groupBox"));
    vboxLayout3 = new QVBoxLayout(groupBox);
    vboxLayout3->setSpacing(6);
    vboxLayout3->setMargin(9);
    vboxLayout3->setObjectName(QString::fromUtf8("vboxLayout3"));
    radioNetlist = new QRadioButton(groupBox);
    radioNetlist->setObjectName(QString::fromUtf8("radioNetlist"));

    vboxLayout3->addWidget(radioNetlist);

    radioPartslist = new QRadioButton(groupBox);
    radioPartslist->setObjectName(QString::fromUtf8("radioPartslist"));

    vboxLayout3->addWidget(radioPartslist);


    vboxLayout1->addWidget(groupBox);


    hboxLayout->addLayout(vboxLayout1);


    vboxLayout->addLayout(hboxLayout);

    hboxLayout2 = new QHBoxLayout();
    hboxLayout2->setSpacing(6);
    hboxLayout2->setMargin(0);
    hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
    label = new QLabel(qnlMain);
    label->setObjectName(QString::fromUtf8("label"));

    hboxLayout2->addWidget(label);

    lineEditOutput = new QLineEdit(qnlMain);
    lineEditOutput->setObjectName(QString::fromUtf8("lineEditOutput"));

    hboxLayout2->addWidget(lineEditOutput);


    vboxLayout->addLayout(hboxLayout2);

    hboxLayout3 = new QHBoxLayout();
    hboxLayout3->setSpacing(6);
    hboxLayout3->setMargin(0);
    hboxLayout3->setObjectName(QString::fromUtf8("hboxLayout3"));
    spacerItem1 = new QSpacerItem(40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout3->addItem(spacerItem1);

    aboutButton = new QPushButton(qnlMain);
    aboutButton->setObjectName(QString::fromUtf8("aboutButton"));

    hboxLayout3->addWidget(aboutButton);

    executeButton = new QPushButton(qnlMain);
    executeButton->setObjectName(QString::fromUtf8("executeButton"));

    hboxLayout3->addWidget(executeButton);

    quitButton = new QPushButton(qnlMain);
    quitButton->setObjectName(QString::fromUtf8("quitButton"));

    hboxLayout3->addWidget(quitButton);


    vboxLayout->addLayout(hboxLayout3);

    QWidget::setTabOrder(refButton, delButton);
    QWidget::setTabOrder(delButton, radioNetlist);
    QWidget::setTabOrder(radioNetlist, radioPartslist);
    QWidget::setTabOrder(radioPartslist, lineEditOutput);
    QWidget::setTabOrder(lineEditOutput, executeButton);
    QWidget::setTabOrder(executeButton, quitButton);
    QWidget::setTabOrder(quitButton, listFilename);
    QWidget::setTabOrder(listFilename, aboutButton);
    retranslateUi(qnlMain);
    QObject::connect(executeButton, SIGNAL(clicked()), qnlMain, SLOT(accept()));
    QObject::connect(quitButton, SIGNAL(clicked()), qnlMain, SLOT(reject()));

    QMetaObject::connectSlotsByName(qnlMain);
    } // setupUi

    void retranslateUi(QDialog *qnlMain)
    {
    qnlMain->setWindowTitle(QApplication::translate("qnlMain", "Qt-Nlist Version 0.23", 0, QApplication::UnicodeUTF8));
    refButton->setText(QApplication::translate("qnlMain", "Ref", 0, QApplication::UnicodeUTF8));
    delButton->setText(QApplication::translate("qnlMain", "Delete", 0, QApplication::UnicodeUTF8));
    groupBox->setTitle(QApplication::translate("qnlMain", "Mode", 0, QApplication::UnicodeUTF8));
    radioNetlist->setText(QApplication::translate("qnlMain", "&Netlist", 0, QApplication::UnicodeUTF8));
    radioPartslist->setText(QApplication::translate("qnlMain", "&Partslist", 0, QApplication::UnicodeUTF8));
    label->setText(QApplication::translate("qnlMain", "Output", 0, QApplication::UnicodeUTF8));
    aboutButton->setText(QApplication::translate("qnlMain", "About", 0, QApplication::UnicodeUTF8));
    executeButton->setText(QApplication::translate("qnlMain", "Execute", 0, QApplication::UnicodeUTF8));
    quitButton->setText(QApplication::translate("qnlMain", "Quit", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(qnlMain);
    } // retranslateUi

};

namespace Ui {
    class qnlMain: public Ui_qnlMain {};
} // namespace Ui

#endif // QNLMAINDLG_H
